Bug 219361 - Maintainership request of LXQt
Summary: Maintainership request of LXQt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-17 17:53 UTC by Jesper Schmitz Mouridsen
Modified: 2017-05-19 10:15 UTC (History)
2 users (show)

See Also:


Attachments
change maintainer (377 bytes, patch)
2017-05-18 21:13 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff
change maintainer (406 bytes, patch)
2017-05-18 21:15 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff
change maintainer (402 bytes, patch)
2017-05-18 21:17 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff
change maintainer (413 bytes, patch)
2017-05-18 21:19 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff
change maintainer (371 bytes, patch)
2017-05-18 21:20 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff
All in one (1.92 KB, patch)
2017-05-18 21:23 UTC, Jesper Schmitz Mouridsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesper Schmitz Mouridsen freebsd_committer 2017-05-17 17:53:57 UTC
I wish to take over the maintainership of LXQt on FreeBSD, the work of Olivier Duchateau and partly myself wiki.freebsd.org/LXQt

I already have a WIP git repo https://github.com/jsm222/lxqt-freebsd

The current ports in the official tree are the dependencies of qterminal:
and currently unmaintained. LXQt depends on lxqt-config which depends on the libkscreen part of plasma5 so it would take some time to get into the official tree. see this thread on the mailling list [1]
devel/liblxqt
devel/liblxqt-l10n
devel/lxqt-build-tools
devel/libqtxdg 
x11/lxqt-i10n


[1] https://mail.kde.org/pipermail/kde-freebsd/2017-January/024851.html
Comment 1 Jesper Schmitz Mouridsen freebsd_committer 2017-05-18 21:13:43 UTC
Created attachment 182717 [details]
change maintainer
Comment 2 Jesper Schmitz Mouridsen freebsd_committer 2017-05-18 21:15:41 UTC
Created attachment 182718 [details]
change maintainer

devel/liblxqt-i10n.diff
Comment 3 Jesper Schmitz Mouridsen freebsd_committer 2017-05-18 21:17:27 UTC
Created attachment 182719 [details]
change maintainer

devel/libqtxdg
Comment 4 Jesper Schmitz Mouridsen freebsd_committer 2017-05-18 21:19:00 UTC
Created attachment 182720 [details]
change maintainer

devel/lxqt-build-tools
Comment 5 Jesper Schmitz Mouridsen freebsd_committer 2017-05-18 21:20:10 UTC
Created attachment 182721 [details]
change maintainer

x11/lxqt-l10n
Comment 6 Jesper Schmitz Mouridsen freebsd_committer 2017-05-18 21:23:03 UTC
Created attachment 182722 [details]
All in one

All in one:

devel/liblxqt/Makefile
devel/liblxqt-l10n/Makefile
devel/libqtxdg/Makefile
devel/lxqt-build-tools/Makefile
x11/lxqt-l10n/Makefile

Changed maintainer to me.
Comment 7 commit-hook freebsd_committer 2017-05-19 10:10:21 UTC
A commit references this bug:

Author: joneum
Date: Fri May 19 10:09:58 UTC 2017
New revision: 441215
URL: https://svnweb.freebsd.org/changeset/ports/441215

Log:
  Pass MAINTAINER'ship to submitter

  - Pass MAINTAINER'ship to submitter

  PR:	219361
  Reported by:	Jesper Schmitz Mouridsen <jesper@schmitz.computer>
  Approved by:	miwi (mentor)
  Differential Revision:	https://review.freebsd.org/D10812

Changes:
  head/devel/liblxqt/Makefile
  head/devel/liblxqt-l10n/Makefile
  head/devel/libqtxdg/Makefile
  head/devel/lxqt-build-tools/Makefile
  head/x11/lxqt-l10n/Makefile
Comment 8 Jochen Neumeister freebsd_committer 2017-05-19 10:15:35 UTC
Committed, thanks :)